# SourcePath: chrony/20210215dev
Summary: A versatile implementation of the Network Time Protocol (NTP)
Name: sony-target-dev-chrony
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-chrony
Version: 3.4
Release: 14010003
Source: chrony-%{version}.tar.gz
Patch1: chrony-3.4-CVE-2020-14367.patch
URL: https://chrony.tuxfamily.org/
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
Chrony is a versatile implementation of the Network Time Protocol (NTP). 
It can synchronise the system clock with NTP servers, reference clocks (e.g. GPS receiver), 
and manual input using wristwatch and keyboard.

%package -n %{pkgname}
Summary: A versatile implementation of the Network Time Protocol (NTP)
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Chrony is a versatile implementation of the Network Time Protocol (NTP). 
It can synchronise the system clock with NTP servers, reference clocks (e.g. GPS receiver), 
and manual input using wristwatch and keyboard.

%prep
%setup -n chrony-%{version} -q
%patch1 -p1

%build
%sony_target_dev_setup
./configure \
        --prefix=%{sony_target_dev_prefix} 

make CC="${CC}" 


%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install DESTDIR=%{buildroot}%{sony_target_dir}  

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/chronyc
%{sony_target_dir}%{sony_target_dev_sbin_dir}/chronyd

%changelog
* Mon Feb 15 2021 Sony Corporation
- Applied security patch for CVE-2020-14367.

* Mon Dec 24 2018 Sony Corporation
- Initial build.

